%put FETCH: ;
data NewClass;
  input Name $ Sex $;
  dsid=open('SASHELP.CLASS(where=(NAME="'||trim(Name)||'" and SEX="'||trim(SEX)||'"))');
  if (fetch(dsid)=0)
    then do;
      AGE   =getvarn(dsid,varnum(dsid,'AGE'));
      HEIGHT=getvarn(dsid,varnum(dsid,'HEIGHT'));
      WEIGHT=getvarn(dsid,varnum(dsid,'WEIGHT'));
    end;
  rc=close(dsid);
  drop dsid rc;
datalines;
Philip M
Alice  F
Taro   M
John   M
John   F
;
%put POINTER: ;
data NewClass;
  input Name $ Sex $;
  do p=1 to nobs;
    set SASHELP.CLASS(rename=(NAME=NAME2 SEX=SEX2)) nobs=nobs point=p;
    if NAME=NAME2 and SEX=SEX2 then leave;
    AGE=.; 
    HEIGHT=.;
    WEIGHT=.;
  end;
  output;
  drop NAME2 SEX2;
datalines;
Philip M
Alice  F
Taro   M
John   M
John   F
;
